package com.cxytiandi.yunpan.filter;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class HTTPBasicAuthorizeFilter implements Filter {
	
	@Override
	public void init(FilterConfig filterConfig) throws ServletException {
		//ServletContext context = filterConfig.getServletContext();  
        //ApplicationContext ctx = WebApplicationContextUtils.getWebApplicationContext(context);
	}
	
	@Override
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
			throws IOException, ServletException {
		HttpServletRequest req = (HttpServletRequest)request;
		HttpServletResponse resp = (HttpServletResponse) response;
		String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort();
		req.setAttribute("basePath", basePath);
		req.setAttribute("relativeUri", req.getRequestURI());
		chain.doFilter(req, resp);
	}
	
	@Override
	public void destroy() {
		
	}

}
