package com.cxytiandi.yunpan.repository;

import java.util.List;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
import com.cxytiandi.yunpan.document.ShareResource;

@Repository
public interface ShareResourceRepository extends CrudRepository<ShareResource, String> {
	
	ShareResource findByUrl(String url);
	
	List<ShareResource> findAllByStatus(Boolean status);
	
	ShareResource findByFileId(String fileId);
}
