package com.cxytiandi.yunpan.service;

import com.cxytiandi.yunpan.document.File;
import com.mongodb.gridfs.GridFSDBFile;

public interface FileService {
	
	/**
	 * 保存文件
	 * @author yinjihuan
	 * @param file
	 * @return
	 * @throws Exception
	 */
	public String saveFile(File file) throws Exception;
	
	/**
	 * 删除文件
	 * @author yinjihuan
	 * @param fileId
	 * @throws Exception
	 */
	public void removeFile(String fileId) throws Exception;
	
	/**
	 * 获取文件
	 * @author yinjihuan
	 * @param fileId
	 * @return
	 * @throws Exception
	 */
	public GridFSDBFile getFile(String fileId) throws Exception;
	
}

